import httpRequest from '@/utils/axios'
import type { JobType } from './types'

// 获取我的岗位列表
export function getMyJobList(params?: {
  page?: number
  limit?: number
  name?: string
  type?: number
  education?: number
  work_locations?: string
  status?: 1 | 2
  audit_status?: 1 | 2 | 3
}) {
  return httpRequest.get('/api/hr/api/v1/position/my-list', { params })
}
// 创建岗位
export function createJob(data: JobType) {
  return httpRequest.post('/api/hr/api/v1/position/publish', data)
}

// 更新岗位
export function updateJob(data: JobType) {
  return httpRequest.put(`/api/hr/api/v1/position/${data.id}/update`, data)
}

// 获取岗位详情
export function getJob(params: { id: string }) {
  return httpRequest.get(`/api/hr/api/v1/position/${params.id}/detail`, { params })
}

// 获取岗位简历列表
export function getJobResumeList(params: { id: string }) {
  return httpRequest.get(`/api/hr/api/v1/position/${params.id}/delever-records`, { params })
}

// 启用/禁用岗位
export function enableJob(data: { id: string; status: 1 | 2 }) {
  return httpRequest.post(`/api/hr/api/v1/position/${data.id}/enable`, data)
}
