import httpRequest from '@/utils/axios'
import type { ProjectType } from './types'

// 获取我的项目列表
export function getMyProjectList(params: { page: number; limit: number }) {
  return httpRequest.get('/api/hr/api/v1/projects/my-list', { params })
}

// 获取项目列表
export function getProjectList(params: { page?: number; limit?: number; name?: string }) {
  return httpRequest.get('/api/hr/api/v1/projects', { params })
}

// 创建项目
export function createProject(data: ProjectType) {
  return httpRequest.post('/api/hr/api/v1/project/publish', data)
}

// 更新项目
export function updateProject(data: ProjectType) {
  return httpRequest.put(`/api/hr/api/v1/project/${data.id}/update`, data)
}

// 获取项目详情
export function getProject(params: { id: string }) {
  return httpRequest.get(`/api/hr/api/v1/project/${params.id}/detail`, { params })
}

// 项目启用和禁用
export function enableProject(data: { id: string; status: 1 | 2 }) {
  return httpRequest.post(`/api/hr/api/v1/project/${data.id}/audit`, data)
}
